/*
 * File         : SOCK_Connector.h
 * Author       : Tomasz Stachowiak
 * Created      : Wed May 20 17:28:04 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __SOCK_CONNECTOR_H
#define __SOCK_CONNECTOR_H

#include <BVN/SAP.h>
#include <BVN/BVN.h>
#include <BVN/SOCK_Stream.h>

#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

class SOCK_Connector
{

 public:

  typedef struct sockaddr_in PEER_ADDR;
  typedef struct SOCK_Stream PEER_STREAM;

  int connect(PEER_ADDR *addr, PEER_STREAM *stream);
  int close(void);

 private:

  SAP sap;
};


#endif

